# BuildDocksDepotWindow Struct Reference

Inheritance diagram for BuildDocksDepotWindow:

## Public Member Functions
| BuildDocksDepotWindow (const WindowDesc *desc, Window *parent)
virtual void | OnPaint ()
| The window must be repainted.
virtual void | OnClick (Point pt, int widget, int click_count)
| A click with the left mouse button has been made on the window.
## Static Private Member Functions
static void | UpdateDocksDirection ()

## Detailed Description

Definition at line 445 of file dock_gui.cpp.

## Member Function Documentation

virtual void BuildDocksDepotWindow::OnClick | ( | Point | pt,
|  | int | widget,
|  | int | click_count |
| ) |  |  | `[inline, virtual]`

A click with the left mouse button has been made on the window.

Parameters:

  | pt | the point inside the window that has been clicked.
  | widget | the clicked widget.
  | click_count | Number of fast consecutive clicks at same position

Reimplemented from Window.

Definition at line 474 of file dock_gui.cpp.

References AXIS_X, AXIS_Y, Window::LowerWidget(), Window::RaiseWidget(), and Window::SetDirty().

virtual void BuildDocksDepotWindow::OnPaint | ( |  | ) | `[inline, virtual]`

The window must be repainted.

Note:
  This method should not change any state, it should only use drawing functions.

Reimplemented from Window.

Definition at line 464 of file dock_gui.cpp.

References Window::DrawWidgets().

The documentation for this struct was generated from the following file:

- src/dock_gui.cpp